subject:
    path:     /list/{maxItemPerPage}
    defaults: { _controller: "AppBundle:MasterSubject:index",maxItemPerPage:10}

subject_show:
    path:     /{id}/show
    defaults: { _controller: "AppBundle:MasterSubject:show" }

subject_new:
    path:     /new
    defaults: { _controller: "AppBundle:MasterSubject:new" }

subject_create:
    path:     /create
    defaults: { _controller: "AppBundle:MasterSubject:create" }
    methods:  POST

subject_edit:
    path:     /{id}/edit
    defaults: { _controller: "AppBundle:MasterSubject:edit" }

subject_update:
    path:     /{id}/update
    defaults: { _controller: "AppBundle:MasterSubject:update" }
    methods:  [POST, PUT]

subject_delete:
    path:     /{id}/delete
    defaults: { _controller: "AppBundle:MasterSubject:delete" }
    methods:  [POST, DELETE]
subject_topics_show:
    path:     /{id}/topics_show
    defaults: { _controller: "AppBundle:SubjectTopics:show" }
subject_topics_delete:
    path:     /{id}/{topic}
    defaults: { _controller: "AppBundle:SubjectTopics:delete" }